<template>
  <el-container style="height: 700px; border: 2px solid #fff">
    <el-header style="background-color: #ffffff;color: #333;text-align: left;line-height: 60px;">
      <el-row>
        <el-col :span="20">
          <img src="../assets/logo.png"/>
        </el-col>
        <el-col :span="4">
          <el-row style="position: absolute; left: 88%; width: 10%">
            <el-col :span="8">
              <el-dropdown>
                <i class="el-icon-s-tools"></i>
                <el-dropdown-menu slot="dropdown">
                  <el-dropdown-item @click.native="toCtrl"> 账号管理</el-dropdown-item>
                  <el-dropdown-item @click.native="toLogout">退出登录</el-dropdown-item>
                </el-dropdown-menu>
              </el-dropdown>
            </el-col>
            <el-col :span="8">
              <el-button type="text" @click="toRegister">{{headMsg1}}</el-button>
            </el-col>
            <el-col :span="8">
              <el-button type="text" @click="toLogin">{{headMsg2}}</el-button>
            </el-col>
          </el-row>
        </el-col>
      </el-row>
    </el-header>
    <el-container>
      <el-aside :width="sideWidth" style="background-color: #D3DCE6;color: #333;text-align: center;line-height: 200px;">
        <el-menu>
          <el-menu-item index="1">首页</el-menu-item>
          <el-menu-item index="2">餐饮</el-menu-item>
          <el-menu-item index="3">运动</el-menu-item>
          <el-menu-item index="4">订单</el-menu-item>
          <el-menu-item index="5">设置</el-menu-item>
        </el-menu>
      </el-aside>
      <el-main style="background-color: #E9EEF3;color: #333;text-align: center;">
        <el-carousel height="250px">
          <el-carousel-item v-for="item in 4" :key="item">
            <h3 class="small">{{ item }}</h3>
          </el-carousel-item>
        </el-carousel>
      </el-main>
    </el-container>
  </el-container>
</template>

<script>
import showViewInfoService from '@/services/showViewInfoService'
export default {
  name: 'Homepage',
  data () {
    return {
      sideWidth: '200px',
      disabled: true,
      headMsg1: '注册',
      headMsg2: '登录',
      items: []
    }
  },
  created () {
    this.getUserInfo()
    this.disabled = this.$store.state.token === ''
    this.headMsg1 = this.$store.state.token !== '' ? '欢迎' : '注册'
    this.headMsg2 = this.$store.state.token !== '' ? this.$store.state.userInfo.userName : '登录'
  },
  methods: {
    async getUserInfo () {
      try {
        const response = await showViewInfoService.getInfo(
          {
            headers: {'Authorization': this.$store.state.token}
          })
        // console.log(response.data)
        this.userInfo = response.data.data.user
      } catch (error) {
        if (typeof (error.response) === 'undefined' || typeof (error.response.data) === 'undefined') {
          this.error = 'Network Error'
        } else {
          this.error = error.response.data.error
        }
      }
    },
    toLogin: function () {
      if (this.$store.state.token !== '') {
        this.$router.push('/changeinfo')
      } else {
        this.$router.push('/login')
      }
    },
    toRegister: function () {
      if (this.$store.state.token !== '') {
        this.$router.push('/changeinfo')
      } else {
        this.$router.push('/register')
      }
    },
    toLogout: function () {
      this.$store.commit('REMOVE_INFO')
      this.$router.push('/')
    },
    toCtrl: function () {
      this.$router.push('/showviewinfo')
    }
  }
}
</script>

<style scoped>
.el-carousel__item h3 {
  color: #475669;
  font-size: 14px;
  opacity: 0.75;
  line-height: 250px;
  margin: 0;
}

.el-carousel__item:nth-child(2n) {
  background-color: #99a9bf;
}

.el-carousel__item:nth-child(2n+1) {
  background-color: #d3dce6;
}
</style>
